%MINNEW.M can be used to find the minimum values of multidimensional
%arrays
%Use    : MINNEW(array,dimension)
function [rmin,imin]=minnew(data,dima)
if nargin==1
    dima=menu('Select the dimension','1','2','3','4','5','6');
end
n=size(data);
rmin=data(1);
switch dima
    case 1,2
        [rmin,imin]=min(data);
    case 3
        for i=1:n(1)
            for j=1:n(2)
                for k=1:n(3)
                    if data(i,j,k)<rmin
                        rmin=data(i,j,k);
                        imin=[i j k];
                    end
                end
            end
        end
        fprintf(['3D - The min value is ' num2str(rmin) ' (Orders=[' num2str(imin) '])\n'])
    case 4
        for i=1:n(1)
            for j=1:n(2)
                for k=1:n(3)
                    for x=1:n(4)
                        if data(i,j,k,x)<rmin
                            rmin=data(i,j,k,x);
                            imin=[i j k x];
                        end
                    end
                end
            end
        end
        fprintf(['4D - The min value is ' num2str(rmin) ' (Orders=[' num2str(imin) '])\n'])
    case 5
        for i=1:n(1)
            for j=1:n(2)
                for k=1:n(3)
                    for x=1:n(4)
                        for y=1:n(5)
                            if data(i,j,k,x,y)<rmin
                                rmin=data(i,j,k,x,y);
                                imin=[i j k x y];
                            end
                        end
                    end
                end
            end
        end
        fprintf(['5D - The min value is ' num2str(rmin) ' (Orders=[' num2str(imin) '])\n'])
    case 6
        for i=1:n(1)
            for j=1:n(2)
                for k=1:n(3)
                    for x=1:n(4)
                        for y=1:n(5)
                            for z=1:n(6)
                                if data(i,j,k,x,y,z)<rmin
                                    rmin=data(i,j,k,x,y,z);
                                    imin=[i j k x y z];
                                end
                            end
                        end
                    end
                end
            end
        end
        fprintf(['6D - The min value is ' num2str(rmin) ' (Orders=[' num2str(imin) '])\n'])
    otherwise
        error('Improper dimension (ie. not 1-6)')
end

